# Vektor
Date: 2013-01-07

## Class Vektor

- java.lang.Object
- - Vektor

    public class Vektor
    extends java.lang.Object

Speichert die Information über einen Vektor im dreidimensionalen Raum.

Version:
  1.0 vom 10.04.2011
Author:
  T. Schaller

### Constructor Summary

Constructors
Constructor and Description
`Vektor(double x, double y, double z)` Erzeugt einen neuen Vektor mit den angegebenen Koordinaten

### Method Summary

Methods
`void` `add(Vektor v)` Addiert den übergebenen Vektor.
`double` `getX()` Liefert die x-Koordinate des Vektors
`double` `getY()` Liefert die y-Koordinate des Vektors
`double` `getZ()` Liefert die z-Koordinate des Vektors
`void` `setX(double x)` Setzt die x-Koordinate des Vektors
`void` `setY(double y)` Setzt die y-Koordinate des Vektors
`void` `setZ(double z)` Setzt die z-Koordinate des Vektors

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Vektor

    public Vektor(double x,
          double y,
          double z)

Erzeugt einen neuen Vektor mit den angegebenen Koordinaten

Parameters:
  `x` - x-Koordinate
  `y` - y-Koordinate
  `z` - z-Koordinate

### Method Detail

#### add

    public void add(Vektor v)

Addiert den übergebenen Vektor. Dazu werden die Koordinaten der beiden Vektoren addiert.

Parameters:
  `v` - Vektor, der addiert werden soll.

#### getX

    public double getX()

Liefert die x-Koordinate des Vektors

Returns:
  x-Koordinate

#### setX

    public void setX(double x)

Setzt die x-Koordinate des Vektors

Parameters:
  `x-Koordinate` -

#### getY

    public double getY()

Liefert die y-Koordinate des Vektors

Returns:
  y-Koordinate

#### setY

    public void setY(double y)

Setzt die y-Koordinate des Vektors

Parameters:
  `y-Koordinate` -

#### getZ

    public double getZ()

Liefert die z-Koordinate des Vektors

Returns:
  z-Koordinate

#### setZ

    public void setZ(double z)

Setzt die z-Koordinate des Vektors

Parameters:
  `z` - z-Koordinate